/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package AccountingMgmt.Account;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype thing */
public class CostCenter {
    public BigDecimal calcTotal() {
        return new BigDecimal(0);
    }

    public Vector compareBudgetedVsActual() {
        return new Vector();
    }

    public BigDecimal forecastCosts() {
        return new BigDecimal(0);
    }

    public Vector listCosts() {
        return new Vector();
    }

    /**
     * @supplierCardinality 1
     * @clientCardinality 0..1
     */
    private GLAccount lnkUnnamed;
    private int number;
    private String name;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private HumanResMgmt.WorkAndPayment.EmployeePayment lnkUnnamed1;
}


